跳到主要内容

删除因子

DELETE/research/factors/{factor_name}在线调试
DELETE https://api.shengkezhi.com/open/v1/research/factors/{factor_name}
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/factors/{factor_name}" \
  -H "Authorization: Bearer sk_xxx"

DELETE /research/factors/{factor_name} — 删除因子。

需在请求头携带 Authorization: Bearer sk_xxx

路径参数

参数必填说明
factor_name因子名称

请求体

请求体DeleteFactorBody

字段类型必填说明
reasonstring删除理由,记录因子逻辑审核的判断依据,落库到 delete_reason,可空(默认空串)。

响应

响应 dataFactorSoftDeleted

字段类型必填说明
factor_namestring被删除的因子名,回显路径参数中的因子标识。
is_deletedboolean删除标记,操作成功后恒为 true

调用示例

curl -X DELETE "https://api.shengkezhi.com/open/v1/research/factors/TSA_260531_6BEFDD" \
-H "Authorization: Bearer sk_xxx" \
-H "Content-Type: application/json" \
-d '{"reason":"逻辑审核未通过"}'
{
"code": 0,
"msg": "已软删除",
"data": {
"factor_name": "TSA_260531_6BEFDD",
"is_deleted": true
}
}